System.ServiceModel 4.0.0.0 System.Object

The class represents the context in which the custom WSDL for an endpoint is either exported using or imported using . The following properties enable you to retrieve the WSDL document object model for the current WSDL:

The property gets the for the endpoint contract.

The property gets the for the current endpoint.

The property gets the binding for the current endpoint.

The property gets the port for the current endpoint.

The following methods enable you to add or remove custom WSDL elements to the appropriate scopes in the exported or imported WSDL:

The method returns the fault binding for the specified fault.

The method returns the fault for the specified fault binding.

The method returns the message binding for the specified message.

The method returns the message for the specified message binding.

The method returns the operation binding for the specified operation.

The method returns the operation for the specified operation binding.

Passed to custom WSDL exporters and importers to enable customization of the metadata export and import processes for a WSDL endpoint.

- Property
  4.0.0.0
  System.ServiceModel.Description.WsdlContractConversionContext To be added.

  Use the to obtain the conversion context of the contract for the endpoint.

  Gets the being exported or imported.

- Property
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint To be added.

  Use the property to obtain the service endpoint description on export or import.

  Gets the being exported or imported.

- Method
  4.0.0.0
  System.Web.Services.Description.MessageBinding ``

  This method is the inverse of the method.

  Gets the WSDL binding for the message specified by the description.

  The for the message specified by the description.

  The associated with the description.
- Method
  4.0.0.0
  System.ServiceModel.Description.MessageDescription `` To be added.

  This method is the inverse of the method.

  Gets the message description for the message specified by the WSDL binding.

  The for the message specified by the binding.

- Method
  4.0.0.0
  System.Web.Services.Description.OperationBinding ``

  This method is the inverse of the method.

  Gets the WSDL binding for the operation specified by the description.

  The for the operation specified by the description.

  The of the operation associated with the binding.
- Method
  4.0.0.0
  System.ServiceModel.Description.OperationDescription `` To be added.

  This method is the inverse of the method.

  Returns the operation description of the operation associated with the WSDL binding.

  The of the operation associated with the binding.

- Property
  4.0.0.0
  System.Web.Services.Description.Binding To be added. To be added.

  Gets the for the WSDL endpoint.

- Property
  4.0.0.0
  System.Web.Services.Description.Port To be added. To be added.

  Gets the for the WSDL endpoint.